[Enhancement] Viewer: auto adjust number of columns when display orientation changes

Bug #1483313 reported by Radim on 2015-08-10
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
calibre
Undecided
Unassigned

Bug Description

Is it possible to learn viewer to automatically switch one column in portrait display orientation and two columns in landscape? Useful for tablets. In case it is not possible the quick switch-command in menu which appears when display is touched for longer time would be also useful. Thanks. Also generally thanks for developing this great software!

Fixed in branch master. The fix will be in the next release. calibre is usually released every Friday.

 status fixreleased

Changed in calibre:
status: New → Fix Released

Thanks a lot for this enhancement! Works exactly I need.
The next small useful thing would be the startup parameter which starts
viewer with lastly opened file... is it possible to add it also? Should I
create enhancement request?
Radim

2015-08-11 12:34 GMT+02:00 Kovid Goyal <email address hidden>:

> Fixed in branch master. The fix will be in the next release. calibre is
> usually released every Friday.
>
> status fixreleased
>
> ** Changed in: calibre
> Status: New => Fix Released
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1483313
>
> Title:
> [Enhancement] Viewer: auto adjust number of columns when display
> orientation changes
>
> Status in calibre:
> Fix Released
>
> Bug description:
> Is it possible to learn viewer to automatically switch one column in
> portrait display orientation and two columns in landscape? Useful for
> tablets. In case it is not possible the quick switch-command in menu
> which appears when display is touched for longer time would be also
> useful. Thanks. Also generally thanks for developing this great
> software!
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/calibre/+bug/1483313/+subscriptions
>

SImply right click the view button in calibre, and you can open the
previously viewed files.

Thanks for hint how to open lastly viewed book from Calibre.
But I'm starting viewer directly and my aim is to continue with reading
recent book in fullscreen mode. I'm able to start viewer in fullscreen and
define specific file to open as parameter. When I finish one book and start
reading next one I have to change the parameter. The second way is to not
open viewer in fullscreen right click on open button and choose a book.
Both ways are nicely possible, I just was looking for more comfortable way
how to continue reading or recent book by oneclick (other readers usually
offer this).
Is there recent books opened in viewer (the list behind Open button) stored
somewhere on filesystem? I could try to write some script which will get
recent book from there and then starts viewer and pass obtained file as the
parameter. But I did not find any file which has changed when I clear the
list from viewer...
Radim

2015-08-14 20:49 GMT+02:00 Kovid Goyal <email address hidden>:

> SImply right click the view button in calibre, and you can open the
> previously viewed files.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1483313
>
> Title:
> [Enhancement] Viewer: auto adjust number of columns when display
> orientation changes
>
> Status in calibre:
> Fix Released
>
> Bug description:
> Is it possible to learn viewer to automatically switch one column in
> portrait display orientation and two columns in landscape? Useful for
> tablets. In case it is not possible the quick switch-command in menu
> which appears when display is touched for longer time would be also
> useful. Thanks. Also generally thanks for developing this great
> software!
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/calibre/+bug/1483313/+subscriptions
>

Hi Kovid,
the -continue param is exactly what I need. Thanks a lot!
Good luck and many new ideas. The Callibre is realy brilliant!
R.

2015-08-17 5:57 GMT+02:00 Kovid Goyal <email address hidden>:

> Here you go:
>
> https://github.com/kovidgoyal/calibre/commit/4e163a7aa2131b9787782946a3d2fe973841b850
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1483313
>
> Title:
> [Enhancement] Viewer: auto adjust number of columns when display
> orientation changes
>
> Status in calibre:
> Fix Released
>
> Bug description:
> Is it possible to learn viewer to automatically switch one column in
> portrait display orientation and two columns in landscape? Useful for
> tablets. In case it is not possible the quick switch-command in menu
> which appears when display is touched for longer time would be also
> useful. Thanks. Also generally thanks for developing this great
> software!
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/calibre/+bug/1483313/+subscriptions
>

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers